@import "libs/shared/assets/src/global-style/variable";
@import "libs/shared/assets/src/global-style/input";

::ng-deep.emp-tooltip {
  .ant-tooltip-inner {
    font-size: 12px;
    background: $white;
    color: rgba(0,0,0,.85);
    padding: 2px 5px;
    min-height: 18px;
  }
}

.icon__search, .icon__close {
  padding: 5px;
  &:hover {
    background-color: #00000040;
    color: #ffffff !important;
    -moz-border-radius: 50%;
    border-radius: 50%;
    -webkit-border-radius: 50%;
  }
}

::ng-deep.emp-multi-select {
  .input__label {
    color: #6E7191;
    font-size: 14px;
    font-family: avertaB, sans-serif;
    .label__required {
      color: #ED2E7E;
    }
  }
  .emp-select {
    margin-top: 4px;
    border: 1px solid #d9d9d9;
    padding: 7px 0 7px 7px;
    border-radius: 8px;
    background: $white;
    max-height: 100px;
    overflow-y: auto;
    min-height: 44px;
    &:hover {
      border-color: $bg-primary-default;
    }
    .ant-tag {
      background: $bg-gray-new;
      border-radius: 4px;
      height: 24px;
      margin-top: 2px;
      margin-bottom: 2px;
      margin-inline-end: 4px;
      padding-inline-start: 8px;
      padding-inline-end: 4px;
      width: 100%;
      display: flex;
      flex-wrap: nowrap;
      align-items: center;
      justify-content: space-between;
    }
    .emp-select-text {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }
    .icon-close {
      min-width: 12px;
      margin: 0;
    }
    .ant-input {
      height: 28px;
      border: 0;
      &:focus {
        box-shadow: none;
      }
    }
    .btn {
      text-align: center;
    }
  }

  .show-error {
    font-size: 12px;
    margin-top: 8px;
    em {
      margin-right: 8px;
      color: $bg-error-red;
    }
    span {
      font-family: avertaL, sans-serif;
      color: $bg-error-red;
    }
  }

}
